Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.controls
Class JetProperty

    java.lang.Object
      jet.controls.JetProperty

Direct Known Subclasses:
  JetBoolean, JetColor, JetCommand, JetEnumeration, JetNumber, JetReference, JetString, JetVector

    public abstract class JetProperty

extends java.lang.Object

The base class of all the property that a suit of object tree.

Field Summary
`static int` | `CHART_BACKGROUND_EDITOR`
`static int` | `CHART_FILLPATTERN_EDITOR`
`static int` | `CHART_FILTER_EDITOR`
`static int` | `CHART_FILTER_EDITOR_NO_DATE`
`static int` | `CHART_ICON_STYLE`
`static int` | `CHART_PATTERN_LIST_EDITOR`
`static int` | `CHART_PENSTYLE_EDITOR`
`static int` | `CHART_TEXTSTYLE_EDITOR`
`static int` | `CHOICE_EDITOR`
`static int` | `COLOR_EDITOR`
`static int` | `COMBO_EDITOR`
`static int` | `COMMAND_EDITOR`
`static int` | `CONTROL_SELECT_ITEMS`
`static int` | `DATASOURCE_EDITOR`
`static int` | `DBCOL_EDITOR`
`static int` | `DETAIL_REPORT_EDITOR`
`static int` | `EDIT_FORBIDDEN`
`static int` | `EDIT_FORBIDDEN_INIT`
`static int` | `EDITABLE_ALLTIME`
`static int` | `INTERNAL`
`static int` | `LINK_EDITOR`
`static int` | `MULSEL_EDITOR`
`static int` | `PARAMCOL_EDITOR`
`static int` | `QUERY_EDITOR`
`static int` | `RECORDDB_EDITOR`
`static int` | `SECURITY_EDITOR`
`static int` | `TEXT_EDITOR`

Constructor Summary
`JetProperty()`
`JetProperty(JetObject parent, java.lang.String name)` The constructor of JetProperty.

Method Summary
`boolean` | `canChangeByBL()`
`boolean` | `canChangeByFmtt()`
`boolean` | `canChangeByOthers()` Detecte if the property can be changed by anothe object.
`JetChangeBy` | `getChangeBy()`
`java.lang.Object` | `getChangeByBL()`
`java.lang.String` | `getChangeByBLName()`
`java.lang.Object` | `getChangeByFmtt()`
`java.lang.String` | `getChangeByFmttName()`
`java.lang.Object` | `getChangeByObject()` Get the changing target object.
`java.lang.String` | `getChangeByObjectName()` Get the changing target object.
`int` | `getEditFlag()`
`int` | `getEditorType()`
`java.lang.String` | `getInspValue()`
`java.lang.String` | `getInspValue(int unit, int fraction)` get value for showing, when the property is JetUnitNumber then return toString()
`int[]` | `getMatchingSqlType()` Get Matching SQL Type of this property
`java.lang.String` | `getName()` Get the property name.
`java.lang.Object` | `getNormalObject()`
`java.lang.Object` | `getObject()` Get the property value.
`JetObject` | `getParent()` Get the owner of the property.
`java.util.Vector` | `getPropertyChoice()`
`int` | `getPropType()`
`java.lang.Object` | `getUnifiedObject()`
`java.lang.Object` | `getValue()` Get the value object.
`boolean` | `isChagneByFmtt()`
`boolean` | `isChangeByBL()`
`boolean` | `isChangeByOther()` Detect if the property is changing by another object.
`boolean` | `isNull()`
`boolean` | `isTransient()`
`void` | `loadFullChangeBy(java.lang.String changeBy)` ONLY FOR LAOD CHANGE BY STRING
`void` | `propertyChanged()`
`java.lang.String` | `saveFullChangeBy()` ONLY FOR SAVE CHANGE BY STRING
`void` | `set(java.lang.String theval)` Sets the value to this property via a String.
`void` | `setCanChangeByBL(boolean bSet)`
`void` | `setCanChangeByFmtt(boolean bSet)`
`void` | `setCanChangeByOthers(boolean bSet)` If this property can not be dynanmic changed, set false.
`void` | `setChangeByBL(java.lang.Object obj)`
`void` | `setChangeByFmtt(java.lang.Object obj)`
`void` | `setChangeByObject(java.lang.Object obj)` If want the property changing by another object, set the target object.
`void` | `setEditFlag(int flag)`
`void` | `setEditorType(int type)`
`void` | `setObject(java.lang.Object value)` Set the property value.
`void` | `setTransient(boolean tran)`
`void` | `setUnitValue(java.lang.String theval)` Sets the value to this property via a String and if the value based on unit, this method will converte unit to pixel.
`java.lang.String` | `toUnitString()` Return the value as a string, if the property is based on unit, before return will converte the pixels to unit.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TEXT_EDITOR

    public static int TEXT_EDITOR

### COMBO_EDITOR

    public static int COMBO_EDITOR

### COLOR_EDITOR

    public static int COLOR_EDITOR

### COMMAND_EDITOR

    public static int COMMAND_EDITOR

### CHOICE_EDITOR

    public static int CHOICE_EDITOR

### DBCOL_EDITOR

    public static int DBCOL_EDITOR

### PARAMCOL_EDITOR

    public static int PARAMCOL_EDITOR

### QUERY_EDITOR

    public static int QUERY_EDITOR

### CHART_PATTERN_LIST_EDITOR

    public static int CHART_PATTERN_LIST_EDITOR

### LINK_EDITOR

    public static int LINK_EDITOR

### RECORDDB_EDITOR

    public static int RECORDDB_EDITOR

### MULSEL_EDITOR

    public static int MULSEL_EDITOR

### CHART_FILTER_EDITOR

    public static int CHART_FILTER_EDITOR

### CHART_FILTER_EDITOR_NO_DATE

    public static int CHART_FILTER_EDITOR_NO_DATE

### CHART_ICON_STYLE

    public static int CHART_ICON_STYLE

### DATASOURCE_EDITOR

    public static int DATASOURCE_EDITOR

### SECURITY_EDITOR

    public static int SECURITY_EDITOR

### DETAIL_REPORT_EDITOR

    public static int DETAIL_REPORT_EDITOR

### CONTROL_SELECT_ITEMS

    public static int CONTROL_SELECT_ITEMS

### EDIT_FORBIDDEN

    public static final int EDIT_FORBIDDEN

See Also:
  Constant Field Values

### EDIT_FORBIDDEN_INIT

    public static final int EDIT_FORBIDDEN_INIT

See Also:
  Constant Field Values

### EDITABLE_ALLTIME

    public static final int EDITABLE_ALLTIME

See Also:
  Constant Field Values

### INTERNAL

    public static final int INTERNAL

See Also:
  Constant Field Values

### CHART_TEXTSTYLE_EDITOR

    public static int CHART_TEXTSTYLE_EDITOR

### CHART_PENSTYLE_EDITOR

    public static int CHART_PENSTYLE_EDITOR

### CHART_FILLPATTERN_EDITOR

    public static int CHART_FILLPATTERN_EDITOR

### CHART_BACKGROUND_EDITOR

    public static int CHART_BACKGROUND_EDITOR

Constructor Detail

### JetProperty

    public JetProperty()

### JetProperty

    public JetProperty(JetObject parent,
                       java.lang.String name)

  The constructor of JetProperty.

  Parameters:
    `parent` - the owner of the property.
    `name` - the property name

Method Detail

### getName

    public java.lang.String getName()

  Get the property name.

### isNull

    public boolean isNull()

### getPropertyChoice

    public java.util.Vector getPropertyChoice()

### getObject

    public java.lang.Object getObject()

  Get the property value. If the property is change by other object, return the other object.

### getUnifiedObject

    public java.lang.Object getUnifiedObject()

### getNormalObject

    public java.lang.Object getNormalObject()

### setObject

    public void setObject(java.lang.Object value)

  Set the property value.

### getValue

    public java.lang.Object getValue()

  Get the value object.

### set

    public void set(java.lang.String theval)

  Sets the value to this property via a String.

  Parameters:
    `theval` - the String val

### setUnitValue

    public void setUnitValue(java.lang.String theval)

  Sets the value to this property via a String and if the value based on unit, this method will converte unit to pixel.

### setEditorType

    public void setEditorType(int type)

### getEditorType

    public int getEditorType()

### setChangeByObject

    public final void setChangeByObject(java.lang.Object obj)

  If want the property changing by another object, set the target object.

### setChangeByFmtt

    public final void setChangeByFmtt(java.lang.Object obj)

### setChangeByBL

    public final void setChangeByBL(java.lang.Object obj)

### getChangeByObject

    public final java.lang.Object getChangeByObject()

  Get the changing target object.

### getChangeByFmtt

    public final java.lang.Object getChangeByFmtt()

### getChangeByBL

    public final java.lang.Object getChangeByBL()

### getChangeByObjectName

    public final java.lang.String getChangeByObjectName()

  Get the changing target object.

### getChangeByFmttName

    public final java.lang.String getChangeByFmttName()

### getChangeByBLName

    public final java.lang.String getChangeByBLName()

### isChangeByOther

    public boolean isChangeByOther()

  Detect if the property is changing by another object.

### isChagneByFmtt

    public boolean isChagneByFmtt()

### isChangeByBL

    public boolean isChangeByBL()

### getChangeBy

    public JetChangeBy getChangeBy()

### setCanChangeByOthers

    public void setCanChangeByOthers(boolean bSet)

  If this property can not be dynanmic changed, set false.

### setCanChangeByFmtt

    public void setCanChangeByFmtt(boolean bSet)

### setCanChangeByBL

    public void setCanChangeByBL(boolean bSet)

### canChangeByOthers

    public boolean canChangeByOthers()

  Detecte if the property can be changed by anothe object.

### canChangeByFmtt

    public boolean canChangeByFmtt()

### canChangeByBL

    public boolean canChangeByBL()

### saveFullChangeBy

    public java.lang.String saveFullChangeBy()

  ONLY FOR SAVE CHANGE BY STRING

  Returns:
    a string followed:
    RETURNED ::= CHANGEBY (VALUEDESC)?
    CHANGEBY ::= changebyOther DELIM changebyFmtt DELIM changeByBL
    DELIM ::= (char)7
    VALUEDESC ::= DELIM DELIMCOUNT DELIM UNITVALUE
    DELIMCOUNT::= the count of the DELIM used in UNITVALUE
    UNITVALUE ::= formatedString( DELIM formatedString)*
    OTHER:
    1.(VALUEDESC) will not created if this property ONLY changedByOther
    2. Some Properties' Unit-value may contains DELIM like JetVector
  See Also:
    `#setFullChangeBy(String)`

### loadFullChangeBy

    public void loadFullChangeBy(java.lang.String changeBy)

  ONLY FOR LAOD CHANGE BY STRING

  Parameters:
    `changeBy,` - it MUST FIT following regular-expression:
    INPUT ::= changebyOther | (CHANGEBY (VALUEDESC)?)
    CHANGEBY ::= changebyOther DELIM changebyFmtt DELIM changeByBL
    DELIM ::= (char)7
    VALUEDESC ::= DELIM DELIMCOUNT DELIM UNITVALUE
    DELIMCOUNT::= the count of the DELIM used in UNITVALUE
    UNITVALUE ::= formatedString( DELIM formatedString)*
  See Also:
    `saveFullChangeBy()`

### propertyChanged

    public void propertyChanged()

### toUnitString

    public java.lang.String toUnitString()

  Return the value as a string, if the property is based on unit, before return will converte the pixels to unit.

### getInspValue

    public java.lang.String getInspValue(int unit,
                                         int fraction)

  get value for showing, when the property is JetUnitNumber then return toString()

### getInspValue

    public java.lang.String getInspValue()

### setEditFlag

    public void setEditFlag(int flag)

### getEditFlag

    public int getEditFlag()

### getParent

    public JetObject getParent()

  Get the owner of the property.

### getPropType

    public int getPropType()

### getMatchingSqlType

    public int[] getMatchingSqlType()

  Get Matching SQL Type of this property

  Returns:
    SQL_OTHER means can not changed by other object.

### setTransient

    public void setTransient(boolean tran)

### isTransient

    public boolean isTransient()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD